
<div class="fondo-negro animated fadeIn" [ngClass]="_modalUploadService.hidden">

  <div class="modal blokea3h" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Modal title</h5>
          <button (click)="cerrarModal()" type="button" class="close" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body" align="center">


            <img *ngIf="!imagePreview" [src]="'xxx' | imagen" alt="img prev" class="w150">
            <img *ngIf="imagePreview" [src]="imagePreview" alt="img prev" class="w150">
           
            <input (change)="seleccionImagen( $event.target.files[0] )" type="file">


        </div>
        <div class="modal-footer">
          <button (click)="subirImagen()" [disabled]="!imagePreview" type="button" class="btn btn-info">Upload image</button>
          <button (click)="cerrarModal()" type="button" class="btn btn-secondary">Close</button>
        </div>
      </div>
    </div>
  </div>

</div>

